<div id="container">
  <app-title title="Redeem a code" subtitle="Enter a coupon code or gift card" [centerText]="true"></app-title>
  <div class="input-row">
    <mat-form-field appearance="outline">
      <mat-label>Coupon Code</mat-label>
      <input matInput [formControl]="couponCode" required>
      <mat-icon matPrefix>card_giftcard</mat-icon>
    </mat-form-field>
    <button class="redeem" mat-flat-button color="accent" [disabled]="couponCode.invalid"
      (click)="addCoupon()">Redeem</button>
  </div>
  <div class="input-row">
    <mat-form-field appearance="outline">
      <mat-label>Gift Card Code</mat-label>
      <input matInput [formControl]="giftCardCode" required>
      <mat-icon matPrefix>redeem</mat-icon>
    </mat-form-field>
    <button class="redeem" mat-flat-button color="accent" [disabled]="giftCardCode.invalid"
      (click)="addGiftCard()">Redeem</button>
  </div>
  <button color="primary" mat-flat-button routerLink="/cart">
    <mat-icon>shopping_cart</mat-icon>
    CONTINUE TO CART
  </button>
</div>